Name:           pyside-tools
Version:        0.2.14
Release:        %mkrel 9
License:        LGPLv2+
Summary:        PySide development tools
Group:          Development/KDE and Qt
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  phonon-devel
BuildRequires:  shiboken-devel >= 1.0.6
BuildRequires:  python-devel
BuildRequires:  pyside-devel >= 1.0.6
Requires:       pyside-phonon
Requires:       pyside-core
Requires:       pyside-declarative
Requires:       pyside-gui
Requires:       pyside-help
Requires:       pyside-multimedia
Requires:       pyside-network
Requires:       pyside-opengl
Requires:       pyside-script
Requires:       pyside-scripttools
Requires:       pyside-sql
Requires:       pyside-test
Requires:       pyside-xmlpatterns
Requires:       pyside-xml
Requires:       pyside-uitools
Requires:       pyside-svg
Requires:       pyside-webkit

%description
PySide tools includes pyside-uic which generate Python code from ui files 
created with Qt Designer, pyside-rcc generate python source code containing
data specified in a Qt resource file and pyside-lupdate finds Qt Linguist
translatable strings, and updates the translation files. 

%files
%{python_sitearch}/*
%{_bindir}/pyside-lupdate
%{_bindir}/pyside-rcc
%{_bindir}/pyside-uic
%{_mandir}/man1/*

%prep
%setup -q
# remove no need Python 3 files
rm -rf pysideuic/port_v3/

%build
%define Werror_cflags %nil
%cmake \
        -DQT_SRC_DIR=%buildroot/%qt4dir \
        -DQT_PHONON_INCLUDE_DIR=%_includedir/phonon
%make

%install
%makeinstall_std -C build


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.2.14-9.mga6
+ Revision: 930270
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.14-8.mga5
+ Revision: 749070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.14-7.mga5
+ Revision: 687867
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.14-5.mga4
+ Revision: 546141
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 0.2.14-4.mga4
+ Revision: 502228
- remove no need Python 3 files

* Sun Jan 13 2013 umeabot <umeabot> 0.2.14-3.mga3
+ Revision: 378424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 18 2012 fwang <fwang> 0.2.14-2.mga3
+ Revision: 272275
- drop br on generatorrunner

* Wed Jul 18 2012 fwang <fwang> 0.2.14-1.mga3
+ Revision: 272199
- new version 0.2.14

* Thu Aug 25 2011 fwang <fwang> 0.2.13-1.mga2
+ Revision: 135228
- new version 0.2.13
- new version 0.2.12

* Mon Jun 27 2011 fwang <fwang> 0.2.10-1.mga2
+ Revision: 114478
- new version 0.2.10

* Sat Mar 05 2011 mikala <mikala> 0.2.7-1.mga1
+ Revision: 65039
- Drop BuildRoot
- imported package pyside-tools

